PeopleForce
Job Profiles

Create job profile

POST
/api/public/v3/job_profiles

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/job_profiles" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'name=string&job_group_id=string'
{  "data": {    "id": 0,    "name": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "job_group": {      "id": 0,      "name": "string"    },    "fields": {      "property1": {        "name": "string",        "value": "string"      },      "property2": {        "name": "string",        "value": "string"      }    },    "salary_band_min": "string",    "salary_band_max": "string",    "salary_band_currency": "string",    "job_level": {      "id": 0,      "name": "string"    }  }}